curl --location 'https://api.nameshouts.com/api/v2.0/name/albert-einstein/german' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"activity_count": {
"id": 27157,
"created_at": "2022-08-04 02:50:51",
"updated_at": "2022-08-10 02:34:47",
"user_id": 30508,
"count": 46,
"limit": 50
},
"name_res": [
{
"id": 33736,
"name": "Albert",
"name_phonetic": "al-behrt",
"gender": "male",
"language_id": 28,
"path_directory": "albert_de",
"public": 1,
"created_at": "2020-06-30 00:08:00",
"updated_at": "2020-06-30 00:08:00"
},
{
"id": 34408,
"name": "Einstein",
"name_phonetic": "ain-shtain",
"gender": "male",
"language_id": 28,
"path_directory": "einstein_de",
"public": 1,
"created_at": "2020-06-30 00:08:00",
"updated_at": "2020-06-30 00:08:00"
}
]
}
Names
Get Multiple Names with Language
GET
/
name
/
{names}
/
{language}
curl --location 'https://api.nameshouts.com/api/v2.0/name/albert-einstein/german' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"activity_count": {
"id": 27157,
"created_at": "2022-08-04 02:50:51",
"updated_at": "2022-08-10 02:34:47",
"user_id": 30508,
"count": 46,
"limit": 50
},
"name_res": [
{
"id": 33736,
"name": "Albert",
"name_phonetic": "al-behrt",
"gender": "male",
"language_id": 28,
"path_directory": "albert_de",
"public": 1,
"created_at": "2020-06-30 00:08:00",
"updated_at": "2020-06-30 00:08:00"
},
{
"id": 34408,
"name": "Einstein",
"name_phonetic": "ain-shtain",
"gender": "male",
"language_id": 28,
"path_directory": "einstein_de",
"public": 1,
"created_at": "2020-06-30 00:08:00",
"updated_at": "2020-06-30 00:08:00"
}
]
}
GET
GET https://api.nameshouts.com/api/v2.0/name/albert-einstein/german
Authorization
| Bearer Token | |
|---|---|
| Token | {{token}} |
Path parameters
string
Example:
albert-einsteinstring
Example:
germanExamples
Get Albert Einstein in German
Example Requestcurl
curl --location 'https://api.nameshouts.com/api/v2.0/name/albert-einstein/german'
200 OK
Body
{
"activity_count": {
"id": 27157,
"created_at": "2022-08-04 02:50:51",
"updated_at": "2022-08-10 02:34:47",
"user_id": 30508,
"count": 46,
"limit": 50
},
"name_res": [
{
"id": 33736,
"name": "Albert",
"name_phonetic": "al-behrt",
"gender": "male",
"language_id": 28,
"path_directory": "albert_de",
"public": 1,
"created_at": "2020-06-30 00:08:00",
"updated_at": "2020-06-30 00:08:00"
},
{
"id": 34408,
"name": "Einstein",
"name_phonetic": "ain-shtain",
"gender": "male",
"language_id": 28,
"path_directory": "einstein_de",
"public": 1,
"created_at": "2020-06-30 00:08:00",
"updated_at": "2020-06-30 00:08:00"
}
]
}
| Key | Value |
|---|---|
| Server | nginx/1.14.0 (Ubuntu) |
| Content-Type | application/json |
| Transfer-Encoding | chunked |
| Connection | keep-alive |
| Cache-Control | no-cache, private |
| Date | Wed, 10 Aug 2022 02:34:47 GMT |
curl --location 'https://api.nameshouts.com/api/v2.0/name/albert-einstein/german' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"activity_count": {
"id": 27157,
"created_at": "2022-08-04 02:50:51",
"updated_at": "2022-08-10 02:34:47",
"user_id": 30508,
"count": 46,
"limit": 50
},
"name_res": [
{
"id": 33736,
"name": "Albert",
"name_phonetic": "al-behrt",
"gender": "male",
"language_id": 28,
"path_directory": "albert_de",
"public": 1,
"created_at": "2020-06-30 00:08:00",
"updated_at": "2020-06-30 00:08:00"
},
{
"id": 34408,
"name": "Einstein",
"name_phonetic": "ain-shtain",
"gender": "male",
"language_id": 28,
"path_directory": "einstein_de",
"public": 1,
"created_at": "2020-06-30 00:08:00",
"updated_at": "2020-06-30 00:08:00"
}
]
}
